# Check memory errors with: ras-mc-ctl --error-count
{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    ecc.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install ecc.";
    };
  };

  config = lib.mkIf config.me.ecc.enable (
    lib.mkMerge [
      {
        hardware.rasdaemon.enable = true;
      }
    ]
  );
}
